# CHANGELOG

All notable changes to this project will be documented in this file.

> **Tags**
>
> - Features
> - Bug Fixes
> - Performance Improvements
> - Enhancements
> - Dependency Updates
> - Breaking Changes
> - Documentation
> - Internal

## v1.0.13 (2020-12-13)

#### Internal

- update LICENSE ([0d35a99](https://github.com/sibiraj-s/ui-router-page-title/commit/0d35a99))

## v1.0.12 (2020-01-03)

#### Enhancements

- remove unused ngmodel scope binding ([87a5e04](https://github.com/sibiraj-s/ui-router-page-title/commit/87a5e04))

#### Dependency Updates

- update @uirouter/angularjs to v1.0.24 ([0eaf6bd](https://github.com/sibiraj-s/ui-router-page-title/commit/0eaf6bd))

#### Internal

- update LICENSE ([9e4f686](https://github.com/sibiraj-s/ui-router-page-title/commit/9e4f686))
- add missing coffeelint dependency ([a473ab5](https://github.com/sibiraj-s/ui-router-page-title/commit/a473ab5))

## v1.0.11 (2019-12-23)

#### Dependency Updates

- update cdn dependencies ([4891835](https://github.com/sibiraj-s/ui-router-page-title/commit/4891835))
- update highlight.js to v9.17.1 ([6eafbcc](https://github.com/sibiraj-s/ui-router-page-title/commit/6eafbcc))
- bump devDependencies ([c1a1ba8](https://github.com/sibiraj-s/ui-router-page-title/commit/c1a1ba8))

#### Internal

- migrate from travis-ci to github actions ([1d76b88](https://github.com/sibiraj-s/ui-router-page-title/commit/1d76b88))
- move custom build tasks to grunt ([9672cad](https://github.com/sibiraj-s/ui-router-page-title/commit/9672cad))
- simplify development steps ([f388e7b](https://github.com/sibiraj-s/ui-router-page-title/commit/f388e7b))
- use browsersync for local server ([7148a62](https://github.com/sibiraj-s/ui-router-page-title/commit/7148a62))
- add karma-jasmine unit tests ([8e8fcb3](https://github.com/sibiraj-s/ui-router-page-title/commit/8e8fcb3))
- use lint-staged to lint git staged files ([c8add90](https://github.com/sibiraj-s/ui-router-page-title/commit/c8add90))

## v1.0.10 (2018-12-28)

#### Enhancements

- migrate from `unpkg` cdn to `jsdelivr` ([d0e0d57](https://github.com/sibiraj-s/ui-router-page-title/commit/d0e0d57))

#### Internal

- extend LICENSE to year 2019 ([e918c9b](https://github.com/sibiraj-s/ui-router-page-title/commit/e918c9b))
- replace `eslint-config-standard` with `eslint-config-airbnb-base` ([c26ad43](https://github.com/sibiraj-s/ui-router-page-title/commit/c26ad43))
- replace `grunt-contrib-sass` with `grunt-sass` ([c26ad43](https://github.com/sibiraj-s/ui-router-page-title/commit/c26ad43))

#### Dependency Updates

- update eslint to v5.11.1 ([c26ad43](https://github.com/sibiraj-s/ui-router-page-title/commit/c26ad43))
- update husky to v1.3.1 ([c26ad43](https://github.com/sibiraj-s/ui-router-page-title/commit/c26ad43))

## v1.0.9 (2018-10-05)

#### Internal

- run travis builds with trusty enabled ([22d6ddc](https://github.com/sibiraj-s/ui-router-page-title/commit/22d6ddc))
- add eslint to lint files ([27f7e51](https://github.com/sibiraj-s/ui-router-page-title/commit/27f7e51))
- add standardJs rules to eslint ([24b8902](https://github.com/sibiraj-s/ui-router-page-title/commit/24b8902))
- remove vscode config in favour of editorconfig ([958e69d](https://github.com/sibiraj-s/ui-router-page-title/commit/958e69d))
- update github username ([316d88c](https://github.com/sibiraj-s/ui-router-page-title/commit/316d88c))

#### Dependency Updates

- update grunt-contrib-uglify to v4.0.0 ([2cf03d0](https://github.com/sibiraj-s/ui-router-page-title/commit/2cf03d0))
- update grunt-coffeelintr to v1.1.1 ([3ef6c0c](https://github.com/sibiraj-s/ui-router-page-title/commit/3ef6c0c))
- update eslint to v5.6.1 ([ea8aa55](https://github.com/sibiraj-s/ui-router-page-title/commit/ea8aa55))
- update grunt-contrib-connect to v2.0.0 ([ea8aa55](https://github.com/sibiraj-s/ui-router-page-title/commit/ea8aa55))
- update eslint-plugin-promise to v4.0.1 ([ea8aa55](https://github.com/sibiraj-s/ui-router-page-title/commit/ea8aa55))
- update husky to v1.1.0 ([ea8aa55](https://github.com/sibiraj-s/ui-router-page-title/commit/ea8aa55))

## v1.0.8 (2018-07-28)

Just a Maintenance Patch

#### Internal

- source code re-written form typescript to coffee ([47635c3](https://github.com/sibiraj-s/ui-router-page-title/commit/47635c3))
- mark repo as private to prevent accidental publish to npm registry
- add prepublish check
- added grunt-eslint to lint javascript files
- remove typescript related devDpendencies
- remove commitizen and cz-conventional-changelog from dependencies
- add gurnt-coffeelintr to validate coffescript

## v1.0.7 (2018-07-13)

#### Internal

- verify compatibility with angular 1.7.2
- update devDependencies
- pullapprove removed

## v1.0.6 (2018-05-08)

Just a Maintenance Release.

#### Dependency Updates

- update devDependencies ([8c8a259](https://github.com/sibiraj-s/ui-router-page-title/commit/8c8a259))

## v1.0.5 (2018-03-27)

#### Internal

- add shebang line to shell scripts ([8e5814c](https://github.com/sibiraj-s/ui-router-page-title/commit/8e5814c))
- add post build scripts ([dfc896b](https://github.com/sibiraj-s/ui-router-page-title/commit/dfc896b))
- remove deprecated `typeof-compare` tslint rule ([42e8e6d](https://github.com/sibiraj-s/ui-router-page-title/commit/42e8e6d))

#### Dependency Updates

- update devDependencies ([a1c4504](https://github.com/sibiraj-s/ui-router-page-title/commit/a1c4504))

## v1.0.4 (2017-11-28)

#### Internal

- publish only `dist/` folder to npm
- move dependencies to peerDependencies

#### Dependency Updates

- update angular.js to v1.6.7
- update grunt-contrib-uglify to v3.2.1

#### Breaking Changes

- bower installations will not be supported anymore, use npm or yarn

## v1.0.3 (2017-11-08)

#### Internal

- lint the ts source file ([5c403db](https://github.com/sibiraj-s/ui-router-page-title/commit/5c403db))
- webpack is replaced with grunt for development ([5c403db](https://github.com/sibiraj-s/ui-router-page-title/commit/5c403db))
- update tslint rules ([8bc3e30](https://github.com/sibiraj-s/ui-router-page-title/commit/8bc3e30))

#### Documentation

- add docs ([9276c93](https://github.com/sibiraj-s/ui-router-page-title/commit/9276c93))

## v1.0.2 (2017-08-17)

#### Internal

- fix dependency mismatch between package.json and bower.json

## v1.0.1 (2017-08-17)

#### Documentation

- update links in README.md

## v1.0.0 (2017-08-16)

#### Features

Initial Release. Dynamic Page Title for AngularJs pages using angular-ui.router
